.chevron {
    @include padding(0, 2);

    box-sizing: border-box;
    flex-shrink: 0;
    height: 100%;
    cursor: pointer;
    color: $color-input-focus;

    &:hover {
        background-color: transparent !important;
    }

    .error & {
        color: $color-input-error;
    }

    .disabled & {
        cursor: not-allowed !important;
        color: $color-input-disabled;
    }

    .readonly & {
        cursor: default !important;
        color: $color-input-disabled;
    }
}
